> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Grants an OAuth token

> <p>
Grants an OAuth token to be used when querying the Website Travel API. This token should be provided as the
<code>access_token</code> parameter to all other API calls.
</p>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json post /apiv1/supplier/token
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /apiv1/supplier/token:
    post:
      tags:
        - Version 1
      summary: Grants an OAuth token
      description: >-
        <p>

        Grants an OAuth token to be used when querying the Website Travel API.
        This token should be provided as the

        <code>access_token</code> parameter to all other API calls.

        </p>
      operationId: grantOAuthToken
      requestBody:
        description: Credentials
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              properties:
                client_id:
                  description: Client ID
                  type: string
                client_secret:
                  description: Client Secret
                  type: string
              type: object
      responses:
        '200':
          description: Returned when successful
        '400':
          description: Returned when there is an issue with the data provided

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.